<!-- CLIENT Carte des produits par catégories -->

<div *ngIf="!authenticationService.isAdmin && show" class="row">
  <app-title class="col-md-12" [title]="'La carte des produits'"></app-title>
  <div *ngFor="let item of types; let i = index" class="mt-4 col-xs-12 col-sm-6 col-md-4">
    <div class="myCard radius_one bg-grey z-depth-2">
      <h5 class="card-title text-center text-white pt-5">{{item.name}}</h5>
      <div class="imgGradient">
        <img [src]="item.img" style="height:64px;" alt="">
      </div>
      <div class="card-body bg-pastel">
        <div class="mt-4 p-3">
          <table class="table">
            <tr *ngFor="let product of products[item.id]" >
              <td>{{product.name}}</td>
              <td class="text-right">{{product.price}} €</td>
            </tr>
          </table>
        </div>
      </div>
    </div>
  </div>
</div>
<!-- FIN CLIENT Carte -->

<!-- CANTINIERE BO -->
<div *ngIf="authenticationService.isAdmin && show" class="row">
  <app-title class="col-md-12" [title]="'Configuration de la carte'"></app-title>

  <!-- FORMULAIRE AJOUT PRODUIT -->
  <div class="col-12">
    <div class="row">
      <div class="col-10 offset-1 text-center">
        <form [formGroup]="addProductForm" (ngSubmit)="onAddProduct()">
            <h5>Vous pouvez administrer les produits du jour</h5>
          <div class="mt-4 md-form row">
            <div class="col-4">
              <input mdbInput type="text" formControlName="name" class="form-control">
              <label for="name" class="text-purple">Nom du produit</label>
              <span *ngIf="submitted && f.name.hasError('required')">Le nom est obligatoire</span>
              <span *ngIf="submitted && f.name.hasError('minlength')">Le nom doit comporter 4 lettres au minimum</span>
              <span *ngIf="submitted && f.name.hasError('pattern')">Le nom doit comporter des caractères valides</span>
            </div>
            <div class="col-4">
              <input mdbInput type="number" formControlName="price" step="0.01" class="form-control">
              <label for="price" class="text-purple">Prix</label>
              <span *ngIf="submitted && f.price.hasError('required')">Le prix est obligatoire</span>
              <span *ngIf="submitted && f.price.hasError('pattern')">Le prix doit être un nombre</span>
            </div>
            <div class="col-4">
              <button [disabled]="!addProductForm.valid" class="mt-3 btn btn-grey w-100" type="submit" mdbWavesEffect>Ajouter</button>
            </div>
          </div>
          <span *ngIf="submitted && !choosedType">Choisissez une categorie dans la barre de navigration</span>
        </form>
      </div>
    </div>
  </div>
  <!-- FIN FORMULAIRE AJOUT -->

  <!-- NAVIGATION DES TYPES -->

  <app-nav-filter class="col-md-12" [navInput]="types" (selectFilter)="setFilter($event)"></app-nav-filter>
  <!-- NAVIGATION DES TYPES -->


  <!-- LISTES PRODUITS -->
    <div *ngIf="choosedType != undefined"  class="col-md-12 mx-auto">
      <table class="table table-bordered table-hover z-depth-1" bordered="true" hover="true">
        <thead>
          <tr class="text-center bg-grey text-white">
            <th scope="col">Désignation</th>
            <th scope="col">Prix</th>
            <th scope="col">Actions</th>
          </tr>
        </thead>
        <tbody class="text-center">
          <tr [ngClass]="{'inEdit': inEdit(i)}" *ngFor="let item of grouppedProducts; let i = index">
            <td>
              <input type="text" class="reset" [ngClass]="{'inEdit': inEdit(i)}" [readonly]="!inEdit(i)"
                [(ngModel)]="item.name">
            </td>
            <td>
              <div>
              <input type="text" style="min-width:0% !important" class="reset" [ngClass]="{'inEdit': inEdit(i)}" [readonly]="!inEdit(i)"
                step="0.01" [(ngModel)]="item.price">
              </div>
            </td>
            <td *ngIf="!inEdit(i)">
              <button (click)="updateItem(item,i)" mdbBtn class="btn-grey mx-2" rounded="true" size="sm" mdbWavesEffect>
                <mdb-icon fas icon="edit"></mdb-icon>
              </button>
              <button mdbBtn (click)="onDeleteProduct(item.id)" class="btn-grey mx-2" rounded="true" size="sm"
                mdbWavesEffect>
                <mdb-icon fas icon="trash-alt"></mdb-icon>
              </button>
            </td>
            <td *ngIf="i == rd" colspan="2">
              <button (click)="updateItem(item,i)" mdbBtn class="btn-grey" rounded="true" size="sm" mdbWavesEffect>
                <mdb-icon fas icon="check"></mdb-icon>
              </button>
            </td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
<!-- LISTE PRODUITS -->
